from gpiozero import Button
import time

button = Button(5)

longPushDuration = 3
interval = 0.1
pushCount = 0
pushed = False

while True:
    try:
        if button.is_pressed == True and pushed == False:
            print("Pushed: ", end=" ")
            pushed = True
        elif button.is_pressed == False and pushed == True:
            if interval * pushCount < longPushDuration:
                print("Short push")
            else:
                print("Long push")
            pushed = False
            pushCount = 0
        elif button.is_pressed == True and pushed == True:
            pushCount = pushCount + 1

        time.sleep(interval)
    except KeyboardInterrupt:
        break
